#
# spec file for package lxinput
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxinput
Version:        0.3.4
Release:        5.3
Summary:        Keyboard and mouse configuration tool
License:        GPL-2.0
Group:          System/GUI/LXDE
Url:            http://www.lxde.org/
Source0:        %{name}-%{version}.tar.xz
Patch0:			lxinput-0.3.4-Apply-left-handed-mouse-setting-in-autostart-file.patch
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gettext-runtime
BuildRequires:  gettext-tools
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-XML-Parser
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%lang_package

%description
LXinput is just the LXDE Keyboard and mouse config tool

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%suse_update_desktop_file %{name}
%find_lang %{name}
%fdupes -s %{buildroot}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.ui
%{_datadir}/%{name}/input-keyboard.png
%{_datadir}/%{name}/input-mouse.png
%{_mandir}/man1/%{name}.1.gz

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue May  5 2015 trcs@gmx.com
- added lxinput-0.3.4-Apply-left-handed-mouse-setting-in-autostart-file.patch
* Mon Oct 20 2014 trcs@gmx.com
- new upstream version 0.3.4
  * Fix invalid keyboard settings save - it read into wrong
    variable
  * Add compilation notes into README file
  * Update Copyright notice in the source file
  * Translation updates
* Tue Sep 16 2014 trcs@gmx.com
- new upstream version 0.3.3
  * Add missing lxinput.desktop.in into distro tarball, it breaks
    'make check'
  * Fix incorrect autostart file: should be NoDisplay=true, not
    Hidden=true
  * Add AC_CONFIG_MACRO_DIR to configure.ac and ACLOCAL_AMFLAGS to
    Makefile.am
  * Use macro AM_MAINTAINER_MODE correct way - with ([enable])
  * Run xset via shell (may not work otherwise)
  * Replace obsolete variable INCLUDES with AM_CPPFLAGS
  * Save settings into ~/.config/autostart/LXInput-autostart as
    well
  * Eliminate compilation warnings
  * Add --enable-debug option to configure script
  * Remove call from libtoolize from autogen.sh, it's not library
  * Remove unused xml-purge subprogram
  * Make mouse threshold able to set values such as 2
  * Use correct parameters for AC_INIT and AM_INIT_AUTOMAKE macros
  * Rename configure.in into configure.ac
  * Fix autogen.sh for daily build
  * Fix autogen.sh with recent automake version
  * Fix typo in desktop file
  * Fix categories for consistency and the upcoming LXDE Control
    Center; use NotShowIn instead of OnlyShowIn
- Translation updates
- spec file cleanup
- split lang package
* Tue May 29 2012 andrea@opensuse.org
- new upstream version 0.3.2
  * translations updates
  * bugfix release
* Fri Jul 29 2011 andrea@opensuse.org
- new upstream version 0.3.1
  * translations updates
  * gtk3 support
  * --enable-man is default
* Mon Mar 14 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Sun Aug  8 2010 andrea@opensuse.org
- New upstream version 0.3.0
* Mon Jun  7 2010 andrea@opensuse.org
- changed RPM Group to System/GUI/LXDE
* Tue Apr  6 2010 andrea@opensuse.org
- removed unsopported locales
* Wed Dec 16 2009 andrea@opensuse.org
- spec clean up for factory
* Wed Jul  8 2009 andrea@opensuse.org
- New Upstream version 0.1.1
* Fri May 22 2009 andrea@opensuse.org
- new package
